Subject: bug#43755: 27.1; Electric-buffer-list does not work with global-display-line-numbers-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 02 Oct 2020 08:06:45 +0200

superdorodor3 <[email-masked]> writes:

> Followings will reproduce the bug in 27.1 or 28.0.50.
>
> emacs -Q
> M-x global-display-line-numbers-mode
> M-x electric-buffer-list
>
> Then, buffer list is displayed, but does not switch when a buffer is selected.
> It correctly worked in 26.3.

I can reproduce this in Emacs 28, and I've now pushed a fix.  I'm not
quite sure why global-display-line-numbers-mode makes this misbehave,
but electric-buffer-list is a somewhat eccentric command...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no